## NAME

d.background - Fills the graphics display frame with user defined color.

## KEYWORDS

display, graphics, background, fill, erase

## SYNOPSIS

d.background
d.background --help
d.background color=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

color=name [required]
  Background color
  Either a standard color name or R:G:B triplet

## DESCRIPTION

d.background will fill the image (or generally display monitor) with a single color specified by the color option.

## NOTES

d.background is a frontend to d.erase and shares its limitations. Namely, it does not work with the wx monitors such as `d.mon wx0`.

## EXAMPLES

In this example, the streets_wake map from the North Carolina sample dataset is displayed with custom background color (specified using HTML hex color code) using cairo display monitor (creates file called map.png):

    g.region vector=streets_wake
    d.mon cairo
    d.background color=#ADEFD1
    d.vect map=streets_wake color=#00203F legend_label="Streets"
    d.legend.vect -b at=70,30 title="Wake County"

Figure: Wake County street network with custom background color (North Carolina sample dataset)

## SEE ALSO

d.erase

## AUTHOR

Vaclav Petras, NCSU GeoForAll Lab

## SOURCE CODE

Available at: d.background source code (history)

Latest change: Wednesday Apr 17 11:38:48 2024 in commit: af7aa6982f1bc0f006e95221291b5ca125abd1e6

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual